Build Environment: fix alembic, openvdb, ffmpeg, osl build on Linux.
[blender.git] / build_files / build_environment / patches / ffmpeg.diff
1 --- a/configure 2018-08-27 13:46:41.071106150 +0200
2 +++ b/configure 2018-08-27 13:46:28.162765762 +0200
3 @@ -6013,7 +6013,7 @@
4                                 require_pkg_config libopencv opencv opencv/cxcore.h cvCreateImageHeader; }
5  enabled libopenh264       && require_pkg_config libopenh264 openh264 wels/codec_api.h WelsGetCodecVersion
6  enabled libopenjpeg       && { check_pkg_config libopenjpeg "libopenjp2 >= 2.1.0" openjpeg.h opj_version ||
7 -                               { require_pkg_config libopenjpeg "libopenjp2 >= 2.1.0" openjpeg.h opj_version -DOPJ_STATIC && add_cppflags -DOPJ_STATIC; } }
8 +                               { require_pkg_config libopenjpeg "libopenjp2 >= 2.1.0" openjpeg.h opj_version "-DOPJ_STATIC $pthreads_extralibs $libm_extralibs" && add_cppflags "-DOPJ_STATIC $pthreads_extralibs $libm_extralibs"; } }
9  enabled libopenmpt        && require_pkg_config libopenmpt "libopenmpt >= 0.2.6557" libopenmpt/libopenmpt.h openmpt_module_create -lstdc++ && append libopenmpt_extralibs "-lstdc++"
10  enabled libopus           && {
11      enabled libopus_decoder && {